Bug 65746 - FILESAVE: Excel 2003 XML formulas are not preserved
Summary: FILESAVE: Excel 2003 XML formulas are not preserved
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.0.3.3 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
: 76891 98223 101570 (view as bug list)
Depends on:
Blocks: MSO-XML2003
  Show dependency treegraph
 
Reported: 2013-06-14 09:17 UTC by Sawradym
Modified: 2018-11-17 03:45 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
This is example of document in XML format. (8.31 KB, text/xml)
2013-06-14 09:17 UTC, Sawradym
Details
Resaved version (under v4062) of original file with v3462 console messages (3.03 KB, application/zip)
2013-12-15 09:58 UTC, Owen Genat (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sawradym 2013-06-14 09:17:36 UTC
Created attachment 80804 [details]
This is example of document in XML format.

Problem description: 

Steps to reproduce:
1. Create document for Libreoffice Calc in XML format with formulas linked to another cells (like =C(5)*D(5)).
2. Open this document with Libreoffice Calc.

Current behavior: Wrong indexes in formulas. =C(15)*D(15)

Expected behavior:

              
Operating System: Windows XP
Version: 4.0.3.3 release
Comment 1 Owen Genat (retired) 2013-12-15 09:58:26 UTC
Created attachment 90796 [details]
Resaved version (under v4062) of original file with v3462 console messages

This appears to be a Calc-related issue. The provided file was created in Excel 2003 and saved in XML format (i.e., in Calc use File > Save As > Microsoft Excel 2003 XML) and appears to be using using Excel R1C1 (rather than Calc A1) notation. I opened the provided file under Ubuntu 10.04 x86_64 running:

- v3.3.0.4 OOO330m19 Build: 6
- v3.4.6.2 OOO340m1 Build: 602
- v3.5.7.2 Build ID: 3215f89-f603614-ab984f2-7348103-1225a5b
- v3.6.7.2 Build ID: e183d5b
- v4.0.6.2 Build ID: 2e2573268451a50806fcd60ae2d9fe01dd0ce24
- v4.1.3.2 Build ID: 70feb7d99726f064edab4605a8ab840c50ec57a

All versions open the file OK, although v3.3.0.4 produces the warning:

> Running an XSLT 1.0 stylesheet with an XSLT 2.0 processor
> Warning: on line 4476 of file:///opt/libreoffice/basis3.3/share/xslt/import/spreadsheetml/spreadsheetml2ooo.xsl:
> Creating an attribute here will fail if previous instructions create any children

Attempting to resave the file to Microsoft Excel 2003 XML format has these results:

v3.3.0.4: hang.
v3.4.6.2: failure to save.[1]
v3.5.7.2: same as for v3.4.6.2.
v3.6.7.2: same as for v3.4.6.2.
v4.0.6.2: save OK but with formula problems.
v4.1.3.2: same as for v3.4.6.2.

In the case of v4.0.6.2 the formulas are converted (refer attached): 

E4 from =C14*D14 to of:]=[.C14]*[.D14]
E5,E6,E7,E8 as for E4.
E9 from =SUM(E18:E18) to of:]=SUM([.E18:.E18])

This would seem to be the problem indicated in this report.

[1] Refer attached files for full console message. Dialog displayed states:

> Error saving the document <filename>:
> Write error.
> The file could not be written.
Comment 2 Owen Genat (retired) 2013-12-15 10:19:57 UTC
Confirmed as per comment #1. Status set to NEW. Component set to Spreadsheet. Platform set to All/All. Summary amended for clarity.

(In reply to comment #1)
> v3.4.6.2: failure to save.[1]
> v3.5.7.2: same as for v3.4.6.2.
> v3.6.7.2: same as for v3.4.6.2.
> v4.1.3.2: same as for v3.4.6.2.
> 
> [1] Refer attached files for full console message. Dialog displayed states:
> 
> > Error saving the document <filename>:
> > Write error.
> > The file could not be written.

This would appear to be bug 36427 or bug 52035 (according to the console messages).
Comment 3 QA Administrators 2015-04-19 03:22:42 UTC Comment hidden (obsolete)
Comment 4 Buovjaga 2015-06-18 15:13:00 UTC
(In reply to Sawradym from comment #0)
> Created attachment 80804 [details]
> This is example of document in XML format.

Still opens wrong.

Win 7 Pro 64-bit Version: 5.1.0.0.alpha1+
Build ID: 437210d58f32177ef1829d704f7f4d2f1bbfbfdd
TinderBox: Win-x86@39, Branch:master, Time: 2015-06-18_07:21:56
Locale: fi-FI (fi_FI)
Comment 5 Buovjaga 2016-03-09 07:52:00 UTC
*** Bug 98223 has been marked as a duplicate of this bug. ***
Comment 6 Alex Thurgood 2016-08-18 08:19:41 UTC
*** Bug 101570 has been marked as a duplicate of this bug. ***
Comment 7 Alex Thurgood 2016-08-18 08:26:26 UTC
*** Bug 76891 has been marked as a duplicate of this bug. ***
Comment 8 Theo van Oosten 2017-06-05 11:41:12 UTC
Bug is still present in version 5.1.6.2
Also the content is moved up 1 row (A3 --> A2, B3 --> B2 etc.)
Field A3 = 12
Field B3 = 15
Field C3 = "=A3+B3"
Save to XML format and reopen
Field A2 = 12
Field B2 = 15
Field C2 = "of:]=[.A3]+[.B3]"
Comment 9 QA Administrators 2018-11-17 03:45:55 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug